package kr.co.zumo.app.lifeplus.supervisor;

import org.junit.Assert;
import org.junit.Test;

import java.lang.reflect.Field;
import java.util.LinkedHashMap;

public class ScreenIDTest {

  @Test
  public void verify() {
    //
    // 값이 중복되는 상수가 있는지 확인한다.
    // 있다면 하나의 상수명이 Actual 에 표시된다.
    //

    // for class test coverage
    ScreenID screenID = new ScreenID();

    LinkedHashMap<Integer, String> map = new LinkedHashMap<>();
    Field[] fields = ScreenID.class.getDeclaredFields();
    Class<ScreenID> types = ScreenID.class;
    for (Field field : fields) {
      try {
        field.setAccessible(true);
        if (null != field && null != types) {
          int value = (int) field.get(types);
          String name = field.getName();
          if (null == map.get(value)) {
            map.put(value, name);
          }
          else {
            Assert.assertEquals("", name);
          }
        }
      } catch (Exception e) {
        e.printStackTrace();
      }
    }
  }

}